Resolve statement line
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"action": "link",
"targets": [
{
"type": "payment",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve"
payload = {
"action": "link",
"targets": [
{
"type": "payment",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: 'link',
targets: [
{
type: 'payment',
payment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123
}
]
})
};
fetch('https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'link',
'targets' => [
[
'type' => 'payment',
'payment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve"
payload := strings.NewReader("{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "statement_line_resolution",
"statement_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
Resolve statement line
Link existing records first, else create a manual movement or own-account transfer, or exclude with a reason. Undo restores pending and removes records created by this resolution atomically. Does not learn rules.
POST
/
api
/
v1
/
statements
/
lines
/
{statement_line_id}
/
resolve
Resolve statement line
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"action": "link",
"targets": [
{
"type": "payment",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve"
payload = {
"action": "link",
"targets": [
{
"type": "payment",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: 'link',
targets: [
{
type: 'payment',
payment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123
}
]
})
};
fetch('https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'link',
'targets' => [
[
'type' => 'payment',
'payment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve"
payload := strings.NewReader("{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements/lines/{statement_line_id}/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"link\",\n \"targets\": [\n {\n \"type\": \"payment\",\n \"payment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "statement_line_resolution",
"statement_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
Body
application/json
Was this page helpful?

